Rake db: fout migreren

Ik krijg deze foutmelding bij het uitvoeren van rake db: migrate

rake afgebroken! Installeer de mysql-adapter: gem install activerecord-mysql-adapter (mysql maakt geen deel uit van de bundel en voeg deze toe aan Gemfile.)

Tasks: TOP => db:migrate => environment

Om het even welke ideeën over het?

1
@ madth3: omdat het activerecord-mysql-adapter-juweel geen "ding" is. Het is het MySQL juweel dat ontbreekt.
toegevoegd de auteur Ryan Bigg, de bron
Hoe zit het met doen wat de boodschap zegt?
toegevoegd de auteur madth3, de bron

1 antwoord

U moet de mysql2 edelsteen aan uw Gemfile toevoegen:

gem 'mysql2'

En gebruik ook de mysql2 -adapter in uw config/database.yml :

adapter: mysql2
3
toegevoegd
"Nog niet werken" is vrij vaag ...
toegevoegd de auteur Ryan Bigg, de bron
Het is er al ... maar nog niet aan het werk ...
toegevoegd de auteur Danilo, de bron
OK. Ik heb zojuist het project opnieuw gemaakt en het werkt ... Ik vermoed dat een configuratiebestand verkeerd was ... Tks!
toegevoegd de auteur Danilo, de bron